> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute a node app

> Execute a node app by version ID. The request body should contain the input data as a JSON object matching the node app's input schema. Returns a job that can be tracked using /jobs/{id}.



## OpenAPI

````yaml https://api.krea.ai/openapi.json post /node-apps/{id}/execute
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /node-apps/{id}/execute:
    post:
      tags:
        - Node Apps
      summary: Execute a node app
      description: >-
        Execute a node app by version ID. The request body should contain the
        input data as a JSON object matching the node app's input schema.
        Returns a job that can be tracked using /jobs/{id}.
      parameters:
        - in: path
          name: id
          description: Node app version ID
          schema:
            type: string
            description: Node app version ID
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: {}
              description: >-
                Input data for the node app execution, matching the node app's
                input schema
      responses:
        '200':
          description: >-
            Execution job created successfully. The job will be in a processing
            state until completed. Use /jobs/{id} to check progress.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    job_id:
                      type: string
                      format: uuid
                    status:
                      type: string
                      enum:
                        - backlogged
                        - queued
                        - scheduled
                        - processing
                        - sampling
                        - intermediate-complete
                        - completed
                        - failed
                        - cancelled
                    created_at:
                      type: string
                      format: date-time
                    completed_at:
                      type: string
                      format: date-time
                    result:
                      type: object
                      properties:
                        urls:
                          type: array
                          items:
                            type: string
                            format: uri
                        style_id:
                          type: string
                    error:
                      type: object
                      properties:
                        code:
                          type: string
                        message:
                          type: string
                      required:
                        - code
                  required:
                    - job_id
                    - status
                    - created_at
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '402':
          description: You have run out of credits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: This node app cannot be used via the API.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Node app version not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '429':
          description: You have reached the maximum number of concurrent jobs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````